<?
# $Header: /CVSROOT/ptybuffer/nwn/tweak.php,v 1.6 2004/06/05 16:32:04 tino Exp $
#
# $Log: tweak.php,v $
# Revision 1.6  2004/06/05 16:32:04  tino
# clarified
#
# Revision 1.5  2004/06/05 16:30:57  tino
# clarified
#
# Revision 1.4  2004/06/05 16:27:43  tino
# better linebreak
#
# Revision 1.3  2004/06/05 16:26:43  tino
# Well, the REG file only works for WinXP
#
# Revision 1.2  2004/05/23 09:42:47  tino
# corrections
#
# Revision 1.1  2004/05/23 09:37:05  tino
# IE6 needs a registry tweak to work properly with NWNadm
?>
<HTML>
<HEAD>
<TITLE>How to raise IE maximum number of connections</TITLE>
</HEAD>
<BODY BGCOLOR=#ccccff TEXT=#000000 LINK=#880088 VLINK=#0000ff ALINK=#ff0000
 marginwidth=0 marginheight=0 topmargin=0 leftmargin=0>

<H1>IE6 tweak for higher number of open connections</H6>
<P>
Microsoft, again, forgot to implement IE such, that each IE is able to
keep open connections.  Instead, Microsoft invented a feature called
"Maximum Internet Connections" which limit the amount on maximum
parallel open IE pages to 4 per server.  This limit is globally for
all open IEs.
<P>
This does not work well with things like WebChats etc., because those
chats usually consume 1 to 2 open connections.  Then all you have left
are two lonely connect to read pages.  NWNadm, however, even consumes
1 to 2 open connection for one window.  It was designed to allow
hundreds of windows.
<P>
Sure, again, you loose, thanks to Microsoft.  As soon as you open 4
NWNadm windows IE ceases to serve new pages.  Nice, eh?

<H2>However you can fix it, sort of</H2>
<P>
As always, Microsoft only allows you to choose between two things (if
this comes from too much binary code?):

<UL>
<LI> to die with thirst
<LI> or to be drowned
</UL>

They simply don't want you to get just a glass of water to satisfy
your thirst.
<P>
I did not find a way to give each IE 5 possible internet connects
independent of the number of IEs (I usually have open more than 20).
This is, why you need to set an extreme global limit to the parallel
internet connects.  I use the value:

<H3><A HREF=IEMaxConnections64.reg>64</A> (.reg file for Windows XP
only)</H3>
<P>
The problem is, that one single IE can utilize all of those 64
internet connects in parallel as well.  <b>Be warned!</b> This can
DOSses simple HTTP devices, such as printers or routers, such that the
HTTP-component of those devices ceases to function or the device goes
berserk.  Contact your manufacturer in this case, the device is
seriously broken (the internal device of my Kyocera FS1010N only
serves 4 connects in parallel and then stops to respond for several
minutes).
<P>
However I need to have open 20 NWNadm windows with 2 open connects,
each, this makes 40, and I still want to keep some (5 or so) other
applications open, wich have 1 to 5 continuously open internet
connects.  Make this 20 open connects.  Thus 64 is not even a very
high number.

<H2>Modify the registry</H2>
<P>
To archive the effect, you need to modify the registry.  Set the
DWORD<BR>
<NOBR><tt>HKLM/Software/Microsoft/Windows/CurrentVersion/Internet
Settings/MaxConnectionsPerServer</tt></NOBR><BR> and<BR>
<NOBR><tt>HKLM/Software/Microsoft/Windows/CurrentVersion/Internet
Settings/MaxConnectionsPer1_0Server</tt></NOBR><BR> to the value you
want.
<P>
For your convenience (see link above) there is a .reg file which you
can download for Windows XP.  Just click on the number <A
HREF=IEMaxConnections64.reg>64</A>, and save the file, look at it with
wordpad and then import it into your registry (by double clicking).
<P>
You can, as well, choose "open" directly.  But are you sure it's no
trojan I gave you?  Right!

<HR>
-Tino [ <A HREF=http://permalink.de/tino/s1>Imprint / Impressum</A> ]
</BODY>
</HTML>
